#!/bin/sh -e

# used upstream to flag some tests as flaky in CI
export CI=1

# copy the tests out of the source tree to use the installed lib
cp -r tests $AUTOPKGTEST_TMP
cd $AUTOPKGTEST_TMP

# see d/rules for comments on why these tests are skipped
for py in $(py3versions --supported); do
    $py -m pytest -v -k 'not (pxssh or replwrap or test_before_across_chunks or test_spawn_uses_env or test_socket)' tests
done
